generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\RemontBundle\Entity\Remont
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendRemontBundle
    pk_requirement: ~
    fields: 
      supportProductEmail:
        label: Email для відділу продукції
      supportTechEmail:
        label: Email для технічного відділу
      linkHomepage:
        formType: url
        label: Лінк на головній
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields:           
           txtremont:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Ремонт
               ru:
                 label : Ремонт
               en:
                 label : Repair
           h1txt:
             locale_options:
               uk:
                 label : H1
               ru:
                 label : H1
           metakeywords:
             locale_options:
               uk:
                 label : Meta Keywords
               ru:
                 label : Meta Keywords
           metadescription:
             locale_options:
               uk:
                 label : Meta Description
               ru:
                 label : Meta Description


    object_actions:
        delete: ~
    batch_actions:
        delete: ~                 

builders:
    list:
        params:
            title: Ремонт
            display: [id]
#            actions:
#                new: ~
            object_actions:
                edit: ~
#                delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title:  Ремонт
            tabs:
              "Головна інформація":
                    "Головна інформація": [translations, linkHomepage]
              "Налаштування email":
                    "Налаштування email": [hrEmail, supportProductEmail, supportTechEmail]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Ремонт"
            tabs:
              "Головна інформація":
                    "Головна інформація": [translations, linkHomepage]
              "Налаштування email":
                    "Налаштування email": [hrEmail, supportProductEmail, supportTechEmail]
            actions:
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: YourModel.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
